﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<Product>


@(
 Html.Grid(Model).Named("AllProduct").Columns(columns =>
 {

     columns.Add(x => x.ProductGroup.ProductGroupCode)
       .Titled("ProductGroup")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.ProductGroup.ProductGroupCode).Filterable(true);
     
     
     columns.Add(x => x.Code)
         .Titled("Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Code).Filterable(true);
     columns.Add(x => x.Name)
        .Titled("Name")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Name).Filterable(true);

     columns.Add(x => x.Size)
        .Titled("Size")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Size).Filterable(true);


     columns.Add(x => x.Flavour)
        .Titled("Flavour")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Flavour).Filterable(true);
     
     columns.Add(x => x.IsDisplay)
        .Titled("Is Display")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsDisplay ? "Yes" : "No").Filterable(true);

     columns.Add(x => x.IsPregnancyProduct)
       .Titled("Is Pregnancy")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.IsPregnancyProduct ? "Yes" : "No").Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Product.Edit(x.ID))));


 }).Filterable()
.Sortable()
.WithPaging(5)
)

@helper IsActiveRender(bool isActive)
{
    if(isActive)
    {
        <span>True</span>
    }
    else
    {
        <span>False</span>
    }
}